function [ actions ] = BuildActionList

%actions for the quadrocopter
%acceleration vector is an action

maxAcceleration = 3; %3*tau;
minAcceleration = -3; %-3*tau; %m/s^2
step = 0.5; % use 0.5 for coarse and 0.05 for fine-grained model

actions = minAcceleration:step:maxAcceleration;

% 3D
actions = setprod(actions', actions', actions');

% restricted to xy coordinates
%actions = setprod(actions', actions', 0);

% 2D
%actions = setprod(actions', 0, actions');

% 1D
%actions = setprod(actions', 0, 0);
end
