    function psi = getPsi(s)
        numFeatures = 4;
        
        distanceToGoal = s(:,1).^2 + s(:,3).^2 + s(:,5).^2;
        swing = s(:,7).^2 + s(:,9).^2;
        speed = s(:,2).^2 + s(:,4).^2 + s(:,6).^2;
        swingSpeed = s(:,8).^2 + s(:,10).^2;
        
        psi = horzcat(distanceToGoal, swing, speed, swingSpeed);
        
    end